Name: p7zip
Summary: File archiver with highest compression ratio.
Summary(pl): Kompresor plikw z najwyszym wspczynnikiem kompresji.
Version: 4.14.01
Release: 1
License: LGPL
Group: Applications/Archiving
URL: http://p7zip.sourceforge.net/
Packager: Marcin Zajczkowski <mszpak@wp.pl>
Source0: %{name}_%{version}_src.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++

%package plugins
Summary: Plugins for p7zip
Group: Applications/Archiving
Requires: %{name} = %{version}-%{release}


%description 
p7zip is a port of 7za.exe for Unix. 7-Zip is a file archiver with highest compression ratio. Original version can be found at http://www.7zip.org. Package contains also virtual file system for Midnigth Commander.

%description -l pl
p7zip jest portem programu 7za.exe na Unixa. 7-Zip jest kompresorem plikw z najwyszym wspczynnikiem kompresji. Oryginalna wersja jest dostpna na http://www.7zip.org. Paczka zawiera take wirtualny system plikw dla programu Midnight Commander.

%description plugins
Additional plugins can be used with 7z to extend its abilities. More info can be found in attached documentation.

%prep 
%setup -q -n %{name}_%{version}
cp -f makefile.linux_x86 makefile.machine
mv DOCS docs
mv docs/MANUAL docs/manual

%build
make 7z 7za sfx

%install 
rm -fr %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mv contrib %{buildroot}%{_datadir}/%{name}/
mv bin %{buildroot}%{_datadir}/%{name}/

cat > %{buildroot}%{_bindir}/7za <<EOF
#!/bin/sh
exec %{_datadir}/%{name}/bin/7za \$*
EOF

cat > %{buildroot}%{_bindir}/7z <<EOF
#!/bin/sh
exec %{_datadir}/%{name}/bin/7z \$*
EOF


%files 
%defattr(0644,root,root,0755) 
%attr(0755,root,root) %{_bindir}/7za
%attr(0755,root,root) %{_datadir}/%{name}/contrib/VirtualFileSystemForMidnightCommander/u7z
%attr(0755,root,root) %{_datadir}/%{name}/bin/7za
%attr(0755,root,root) %{_datadir}/%{name}/bin/7zCon.sfx
%{_datadir}/%{name}/contrib/*
%doc ChangeLog README TODO
%doc docs

%files plugins
%defattr(0644,root,root,0755) 
%attr(0755,root,root) %{_bindir}/7z
%attr(0755,root,root) %{_datadir}/%{name}/bin/7z
%attr(0755,root,root) %{_datadir}/%{name}/bin/Codecs/*
%attr(0755,root,root) %{_datadir}/%{name}/bin/Formats/*

%clean 
rm -fr %{buildroot} %{_builddir}/%{buildsubdir}

%changelog 
* Mon Jan 24 2005 Marcin Zajczkowski <mszpak@wp.pl>
 - upgraded to 4.14.01

* Sun Jan 16 2005 Marcin Zajczkowski <mszpak@wp.pl>
 - upgraded to 4.14

* Mon Dec 20 2004 Marcin Zajczkowski <mszpak@wp.pl>
 - added 7za script and moved SFX module to {_datadir}/%{name}/ to allow 7za & 7z
   use it simultaneously
 - returned to plugins in separate package

* Sat Dec 18 2004 Charles Duffy <cduffy@spamcop.net>
 - upgraded to 4.13
 - added 7z (not just 7za) with a shell wrapper
 - added gcc-c++ to the BuildRequires list

* Sat Nov 20 2004 Marcin Zajczkowski <mszpak@wp.pl>
 - upgraded to 4.12
 - added virtual file system for Midnight Commander

* Thu Nov 11 2004 Marcin Zajczkowski <mszpak@wp.pl>
 - upgraded to 4.10
 - plugins support was dropped out from p7zip

* Sun Aug 29 2004 Marcin Zajczkowski <mszpak@wp.pl>
 - initial release

